import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { bulkInfoSuccess } from './actions';

import * as AuthenticationStore from '@app/store/account/authentication';

export const reducer = createReducer(
  initialState,
  on(bulkInfoSuccess, (state, action) => {
    return {
      ...state,
      statusBulkInfoList: action.statusBulkInfoList
    };
  }),

  on(AuthenticationStore.logout, (state, action) => {
    return {
      ...initialState
    };
  })
);
